Clipper 5.2e to 5.3 question 
Author Message
 Clipper 5.2e to 5.3 question

I have recently come across some Clipper code which was written in 5.2e.
(Of course) it is necessary to make modifications, and my client has
purchased Clipper 5.3 .

I find that the code will not run properly when compiled (with some
massaging) under 5.3 -- does anyone know of any particular problems with 5.3
which could be causing this?  Particularly corrpution of database (DBF)
files when compiled under 5.3...

Apologies, I have little experience with Clipper, this being my first
experience with the language...

Many thanks

../cam
Cam Purvis



Tue, 01 May 2001 03:00:00 GMT  
 Clipper 5.2e to 5.3 question
On Fri, 13 Nov 1998 00:36:44 -0600, "Cameron Purvis"

Quote:

>I have recently come across some Clipper code which was written in 5.2e.
>(Of course) it is necessary to make modifications, and my client has
>purchased Clipper 5.3 .

>I find that the code will not run properly when compiled (with some
>massaging) under 5.3 -- does anyone know of any particular problems with 5.3
>which could be causing this?  Particularly corrpution of database (DBF)
>files when compiled under 5.3...

There are two 5.3 patches, 5.3a and 5.3b, which must be applied
sequentially. They are available on my www site.

This may or may not help, but it's a great starting point.

--

        Oasis WWW  http://www.iag.net/~philb/
         FTP Site  ftp://ftp.iag.net/pub/clipper
      Clipper FAQ  http://www.iag.net/~philb/clipper.html

Each of us define ourselves each day by the choices that we make.
                       Dr. Norman Vincent Peale



Tue, 01 May 2001 03:00:00 GMT  
 Clipper 5.2e to 5.3 question

If your client has Clipper 5.3 it's the first version of 5.3. There are later
versions 5.3a and 5.3b. 5.3b is the only version of Clipper 5.3 that seems to be
stable. Patches to 5.3a and from there to 5.3b should be found on CA's web-site
or on the Oasis http://www.iag.net/~phlib/. I had the same problems as you have.
Try the patches and I think your problems are solved. If you have to use add-on
libs, you have to use the appropriate libs for 5.3, most 5.2 libs don't work
with 5.3.
Andreas

Quote:

> I have recently come across some Clipper code which was written in 5.2e.
> (Of course) it is necessary to make modifications, and my client has
> purchased Clipper 5.3 .

> I find that the code will not run properly when compiled (with some
> massaging) under 5.3 -- does anyone know of any particular problems with 5.3
> which could be causing this?  Particularly corrpution of database (DBF)
> files when compiled under 5.3...

> Apologies, I have little experience with Clipper, this being my first
> experience with the language...

> Many thanks

> ../cam
> Cam Purvis


  vcard.vcf
< 1K Download


Tue, 01 May 2001 03:00:00 GMT  
 
 [ 3 post ] 

 Relevant Pages 

1. clipper 5.2e -vs- clipper 5.3

2. Clipper 5.2e vs. Clipper 5.3

3. Clipper 5.2e to 5.3

4. WTB Clipper 5.2e or 5.3

5. Clipper 5.3 slower than 5.2e

6. Clipper 5.3 or 5.2E

7. Clipper 5.2e to 5.3

8. Clipper 5.3 to 5.3 upgrade problem

9. Mouse and Clipper 5.3 / selling software with 5.3

10. Question: any compatibility issue between Clipper 5.3 and 5.01

11. Clipper 5.3 Question

12. Clipper 5.3 - ListBoxes question

 

 
Powered by phpBB® Forum Software